corda / net.corda.core.serialization / SingletonSerializationToken

# SingletonSerializationToken

`data class SingletonSerializationToken : SerializationToken`

A class representing a SerializationToken for some object that is not serializable but can be looked up (when deserialized) via just the class name.

### Constructors

<init> | `SingletonSerializationToken(toBeTokenized: SerializeAsToken)`

### Functions

fromToken | `fun fromToken(context: SerializeAsTokenContext): Any`

### Companion Object Functions

registerWithContext | `fun registerWithContext(token: SingletonSerializationToken, toBeTokenized: SerializeAsToken, context: SerializeAsTokenContext): SerializationToken`